import javax.swing.*;  // java Japplet sinifini cagir
import java.awt.*;   // java pencere kullanma siniflarini(awt kütüphaphanesi) cagir
import java.awt.event.*;    // java pencereyi dinleme sinifini cagir

public class Hosgeldiniz5SWA extends JApplet implements ActionListener
{
    //sinif degiskenleri
    JTextArea ciktiAlani;  //JTextArea  sınıfı çıktı alanı değişkeni
    JLabel kutubasligi;    //JLabel sınıfı değişkeni (nesnesi) kutubasligi
    JTextField kutugirdisi;//JTextfield sinifi degiskeni (nesnesi) kutugirdisi
    String isim;

    public void init()
    {
    // girdi â€¡Â?ktÂ? alanlarÂ?nÂ?n iâ€¡ine yazÂ?lacagi C ana
    //alanini tanimla
    Container c=getContentPane();
    c.setLayout(new FlowLayout());
    isim="Mürşide Gökağaç";
    kutubasligi=new JLabel("isminizi giriniz :");
    c.add(kutubasligi);//kutubasligini pencereye yaz
    kutugirdisi=new JTextField(10);
    c.add(kutugirdisi);//kutuyu pencereye yerlestir
    ciktiAlani=new JTextArea();
    Color co=c.getBackground();
    ciktiAlani.setBackground(co);
    c.add(ciktiAlani);
    ciktiAlani.setText("Java sınıfına Hoşgeldiniz ! "+ isim);
    // kutuya yeni ilave edilecek komutlari bekle
    // her yeni komutta actionPerformed metodunu calistir.
    kutugirdisi.addActionListener(this);
    }

    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    //pencereden ismi oku
    isim=e.getActionCommand();
    ciktiAlani.setText("Java sınıfına Hoşgeldiniz ! "+ isim);
    repaint();
    }
}
